Package org.apache.sling.caconfig.spi

## Class ConfigurationPersistenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.caconfig.spi.ConfigurationPersistenceException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConfigurationPersistenceAccessDeniedException`

    @ProviderType
    public class ConfigurationPersistenceException
    extends RuntimeException

Is thrown when configuration cannot be persisted.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ConfigurationPersistenceException​(String message)`
`ConfigurationPersistenceException​(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationPersistenceException

    public ConfigurationPersistenceException​(String message,
                                             Throwable cause)

#### ConfigurationPersistenceException

    public ConfigurationPersistenceException​(String message)